-- Version: 8.4 SP2 8.4.2.6
-- File used only for Simulation

library ieee;
use ieee.std_logic_1164.all;
library igloo;
use igloo.all;

entity top is

    port( CLOCK  : in    std_logic;
          nRESET : in    std_logic;
          ff     : in    std_logic;
          q      : out   std_logic_vector(2 downto 0)
        );

end top;

architecture DEF_ARCH of top is 

  component AND3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component MX2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          S : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOPAD_IN
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component DFN1C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component IOTRI_OB_EB
    port( D    : in    std_logic := 'U';
          E    : in    std_logic := 'U';
          DOUT : out   std_logic;
          EOUT : out   std_logic
        );
  end component;

  component AX1C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR3C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR2B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component INV
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOIN_IB
    port( YIN : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component IOPAD_TRI
    port( D   : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          PAD : out   std_logic
        );
  end component;

  component ULSICC_INT
    port( USTDBY : in    std_logic := 'U';
          LPENA  : in    std_logic := 'U'
        );
  end component;

  component PLL_V2
    generic (VCOFREQUENCY:real := 0.0);

    port( CLKA      : in    std_logic := 'U';
          EXTFB     : in    std_logic := 'U';
          POWERDOWN : in    std_logic := 'U';
          GLA       : out   std_logic;
          LOCK      : out   std_logic;
          GLB       : out   std_logic;
          YB        : out   std_logic;
          GLC       : out   std_logic;
          YC        : out   std_logic;
          OADIV0    : in    std_logic := 'U';
          OADIV1    : in    std_logic := 'U';
          OADIV2    : in    std_logic := 'U';
          OADIV3    : in    std_logic := 'U';
          OADIV4    : in    std_logic := 'U';
          OAMUX0    : in    std_logic := 'U';
          OAMUX1    : in    std_logic := 'U';
          OAMUX2    : in    std_logic := 'U';
          DLYGLA0   : in    std_logic := 'U';
          DLYGLA1   : in    std_logic := 'U';
          DLYGLA2   : in    std_logic := 'U';
          DLYGLA3   : in    std_logic := 'U';
          DLYGLA4   : in    std_logic := 'U';
          OBDIV0    : in    std_logic := 'U';
          OBDIV1    : in    std_logic := 'U';
          OBDIV2    : in    std_logic := 'U';
          OBDIV3    : in    std_logic := 'U';
          OBDIV4    : in    std_logic := 'U';
          OBMUX0    : in    std_logic := 'U';
          OBMUX1    : in    std_logic := 'U';
          OBMUX2    : in    std_logic := 'U';
          DLYYB0    : in    std_logic := 'U';
          DLYYB1    : in    std_logic := 'U';
          DLYYB2    : in    std_logic := 'U';
          DLYYB3    : in    std_logic := 'U';
          DLYYB4    : in    std_logic := 'U';
          DLYGLB0   : in    std_logic := 'U';
          DLYGLB1   : in    std_logic := 'U';
          DLYGLB2   : in    std_logic := 'U';
          DLYGLB3   : in    std_logic := 'U';
          DLYGLB4   : in    std_logic := 'U';
          OCDIV0    : in    std_logic := 'U';
          OCDIV1    : in    std_logic := 'U';
          OCDIV2    : in    std_logic := 'U';
          OCDIV3    : in    std_logic := 'U';
          OCDIV4    : in    std_logic := 'U';
          OCMUX0    : in    std_logic := 'U';
          OCMUX1    : in    std_logic := 'U';
          OCMUX2    : in    std_logic := 'U';
          DLYYC0    : in    std_logic := 'U';
          DLYYC1    : in    std_logic := 'U';
          DLYYC2    : in    std_logic := 'U';
          DLYYC3    : in    std_logic := 'U';
          DLYYC4    : in    std_logic := 'U';
          DLYGLC0   : in    std_logic := 'U';
          DLYGLC1   : in    std_logic := 'U';
          DLYGLC2   : in    std_logic := 'U';
          DLYGLC3   : in    std_logic := 'U';
          DLYGLC4   : in    std_logic := 'U';
          FINDIV0   : in    std_logic := 'U';
          FINDIV1   : in    std_logic := 'U';
          FINDIV2   : in    std_logic := 'U';
          FINDIV3   : in    std_logic := 'U';
          FINDIV4   : in    std_logic := 'U';
          FINDIV5   : in    std_logic := 'U';
          FINDIV6   : in    std_logic := 'U';
          FBDIV0    : in    std_logic := 'U';
          FBDIV1    : in    std_logic := 'U';
          FBDIV2    : in    std_logic := 'U';
          FBDIV3    : in    std_logic := 'U';
          FBDIV4    : in    std_logic := 'U';
          FBDIV5    : in    std_logic := 'U';
          FBDIV6    : in    std_logic := 'U';
          FBDLY0    : in    std_logic := 'U';
          FBDLY1    : in    std_logic := 'U';
          FBDLY2    : in    std_logic := 'U';
          FBDLY3    : in    std_logic := 'U';
          FBDLY4    : in    std_logic := 'U';
          FBSEL0    : in    std_logic := 'U';
          FBSEL1    : in    std_logic := 'U';
          XDLYSEL   : in    std_logic := 'U';
          VCOSEL0   : in    std_logic := 'U';
          VCOSEL1   : in    std_logic := 'U';
          VCOSEL2   : in    std_logic := 'U'
        );
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal tb_lock, tb_gla, \tb_q[17]\, tb_aclr, CLOCK_c, 
        nRESET_c, \q_c[0]\, \q_c[1]\, \q_c[2]\, 
        \counter1_1/NU_0_to_8\, \counter1_1/NU_0_1_2\, 
        \counter1_1/NU_3_4_5\, \counter1_1/NU_6_7_8\, 
        \counter1_1/INV_0_Y\, \counter1_1/tb_q[9]\, 
        \counter1_1/NU_9_to_14\, \counter1_1/NU_9_10_11\, 
        \counter1_1/NU_12_13_14\, \counter1_1/XOR2_11_Y\, 
        \counter1_1/tb_q[10]\, \counter1_1/tb_q[8]\, 
        \counter1_1/XOR2_3_Y\, \counter1_1/NU_6_7\, 
        \counter1_1/tb_q[6]\, \counter1_1/XOR2_10_Y\, 
        \counter1_1/XOR2_8_Y\, \counter1_1/XOR2_4_Y\, 
        \counter1_1/tb_q[5]\, \counter1_1/tb_q[14]\, 
        \counter1_1/XOR2_1_Y\, \counter1_1/XOR2_6_Y\, 
        \counter1_1/tb_q[13]\, \counter1_1/XOR2_2_Y\, 
        \counter1_1/tb_q[7]\, \counter1_1/NU_15_16\, 
        \counter1_1/tb_q[15]\, \counter1_1/tb_q[16]\, 
        \counter1_1/tb_q[11]\, \counter1_1/XOR2_0_Y\, 
        \counter1_1/XOR2_5_Y\, \counter1_1/XOR2_13_Y\, 
        \counter1_1/tb_q[12]\, \counter1_1/tb_q[0]\, 
        \counter1_1/tb_q[1]\, \counter1_1/tb_q[2]\, 
        \counter1_1/tb_q[4]\, \counter1_1/XOR2_7_Y\, 
        \counter1_1/INV_2_Y\, \counter1_1/tb_q[3]\, 
        \counter1_1/INV_3_Y\, \counter1_1/INV_1_Y\, 
        \counter1_1/XOR2_12_Y\, \counter1_1/AND2_3_Y\, 
        \counter1_1/XOR2_9_Y\, \counter2_1/INV_1_Y\, 
        \counter2_1/XOR2_0_Y\, \counter2_1/INV_0_Y\, \GND\, \VCC\, 
        \q_pad[2]/U0/NET1\, \q_pad[2]/U0/NET2\, 
        \INBUF_FF_1/U0/NET1\, \q_pad[1]/U0/NET1\, 
        \q_pad[1]/U0/NET2\, \q_pad[0]/U0/NET1\, 
        \q_pad[0]/U0/NET2\, \CLOCK_pad/U0/NET1\, 
        \nRESET_pad/U0/NET1\, \counter1_1/DFN1E1C0_NU_5/Y\, 
        \counter1_1/DFN1E1C0_NU_10/Y\, 
        \counter1_1/DFN1E1C0_NU_12/Y\, 
        \counter1_1/DFN1E1C0_NU_8/Y\, 
        \counter1_1/DFN1E1C0_NU_9/Y\, 
        \counter1_1/DFN1E1C0_NU_16/Y\, 
        \counter1_1/DFN1E1C0_NU_7/Y\, 
        \counter1_1/DFN1E1C0_NU_3/Y\, 
        \counter1_1/DFN1E1C0_NU_14/Y\, 
        \counter1_1/DFN1E1C0_NU_1/Y\, 
        \counter1_1/DFN1E1C0_NU_17/Y\, 
        \counter1_1/DFN1E1C0_NU_15/Y\, 
        \counter2_1/DFN1E1C0_NU_1/Y\, 
        \counter1_1/DFN1E1C0_NU_4/Y\, 
        \counter1_1/DFN1E1C0_NU_13/Y\, 
        \counter1_1/DFN1E1C0_NU_11/Y\, AFLSDF_VCC, AFLSDF_GND
         : std_logic;
    signal GND_power_net1 : std_logic;
    signal VCC_power_net1 : std_logic;

begin 

    AFLSDF_GND <= GND_power_net1;
    \GND\ <= GND_power_net1;
    \VCC\ <= VCC_power_net1;
    AFLSDF_VCC <= VCC_power_net1;

    \counter1_1/U_U_AND3_0_to_8\ : AND3
      port map(A => \counter1_1/NU_0_1_2\, B => 
        \counter1_1/NU_3_4_5\, C => \counter1_1/NU_6_7_8\, Y => 
        \counter1_1/NU_0_to_8\);
    
    \counter1_1/U_AND3_3_4_5\ : AND3
      port map(A => \counter1_1/tb_q[3]\, B => 
        \counter1_1/tb_q[4]\, C => \counter1_1/tb_q[5]\, Y => 
        \counter1_1/NU_3_4_5\);
    
    \counter1_1/DFN1E1C0_NU_14/U0\ : MX2
      port map(A => \counter1_1/tb_q[14]\, B => 
        \counter1_1/XOR2_1_Y\, S => \counter1_1/NU_0_to_8\, Y => 
        \counter1_1/DFN1E1C0_NU_14/Y\);
    
    \counter1_1/DFN1E1C0_NU_1/U0\ : MX2
      port map(A => \counter1_1/tb_q[1]\, B => 
        \counter1_1/INV_1_Y\, S => \counter1_1/tb_q[0]\, Y => 
        \counter1_1/DFN1E1C0_NU_1/Y\);
    
    \counter1_1/U_AND2_6_7\ : AND2
      port map(A => \counter1_1/tb_q[6]\, B => 
        \counter1_1/tb_q[7]\, Y => \counter1_1/NU_6_7\);
    
    \nRESET_pad/U0/U0\ : IOPAD_IN
      port map(PAD => nRESET, Y => \nRESET_pad/U0/NET1\);
    
    \counter1_1/DFN1C0_NU_2\ : DFN1C0
      port map(D => \counter1_1/XOR2_9_Y\, CLK => tb_gla, CLR => 
        tb_aclr, Q => \counter1_1/tb_q[2]\);
    
    \counter1_1/DFN1E1C0_NU_12/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_12/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[12]\);
    
    \q_pad[0]/U0/U1\ : IOTRI_OB_EB
      port map(D => \q_c[0]\, E => \VCC\, DOUT => 
        \q_pad[0]/U0/NET1\, EOUT => \q_pad[0]/U0/NET2\);
    
    \counter1_1/XOR2_8\ : AX1C
      port map(A => \counter1_1/NU_0_to_8\, B => 
        \counter1_1/NU_9_to_14\, C => \tb_q[17]\, Y => 
        \counter1_1/XOR2_8_Y\);
    
    \counter1_1/DFN1E1C0_NU_17/U0\ : MX2
      port map(A => \tb_q[17]\, B => \counter1_1/XOR2_8_Y\, S => 
        \counter1_1/NU_15_16\, Y => \counter1_1/DFN1E1C0_NU_17/Y\);
    
    \counter1_1/XOR2_0\ : AX1C
      port map(A => \counter1_1/tb_q[9]\, B => 
        \counter1_1/tb_q[10]\, C => \counter1_1/tb_q[11]\, Y => 
        \counter1_1/XOR2_0_Y\);
    
    \counter2_1/DFN1C0_NU_0\ : DFN1C0
      port map(D => \counter2_1/INV_1_Y\, CLK => \tb_q[17]\, CLR
         => tb_aclr, Q => \q_c[0]\);
    
    \counter1_1/XOR2_3\ : AX1C
      port map(A => \counter1_1/NU_0_1_2\, B => 
        \counter1_1/NU_3_4_5\, C => \counter1_1/tb_q[8]\, Y => 
        \counter1_1/XOR2_3_Y\);
    
    \counter1_1/AND2_3\ : NOR3C
      port map(A => \counter1_1/tb_q[12]\, B => 
        \counter1_1/tb_q[13]\, C => \counter1_1/NU_9_10_11\, Y
         => \counter1_1/AND2_3_Y\);
    
    \counter1_1/DFN1E1C0_NU_4/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_4/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[4]\);
    
    \q_pad[1]/U0/U1\ : IOTRI_OB_EB
      port map(D => \q_c[1]\, E => \VCC\, DOUT => 
        \q_pad[1]/U0/NET1\, EOUT => \q_pad[1]/U0/NET2\);
    
    \counter1_1/XOR2_7\ : XOR2
      port map(A => \counter1_1/tb_q[4]\, B => 
        \counter1_1/tb_q[3]\, Y => \counter1_1/XOR2_7_Y\);
    
    \counter1_1/XOR2_11\ : XOR2
      port map(A => \counter1_1/tb_q[10]\, B => 
        \counter1_1/tb_q[9]\, Y => \counter1_1/XOR2_11_Y\);
    
    \counter2_1/DFN1C0_NU_2\ : DFN1C0
      port map(D => \counter2_1/XOR2_0_Y\, CLK => \tb_q[17]\, CLR
         => tb_aclr, Q => \q_c[2]\);
    
    \q_pad[2]/U0/U1\ : IOTRI_OB_EB
      port map(D => \q_c[2]\, E => \VCC\, DOUT => 
        \q_pad[2]/U0/NET1\, EOUT => \q_pad[2]/U0/NET2\);
    
    \counter1_1/U_AND3_6_7_8\ : AND3
      port map(A => \counter1_1/tb_q[6]\, B => 
        \counter1_1/tb_q[7]\, C => \counter1_1/tb_q[8]\, Y => 
        \counter1_1/NU_6_7_8\);
    
    \counter1_1/DFN1E1C0_NU_8/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_8/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[8]\);
    
    \counter1_1/U_AND3_12_13_14\ : AND3
      port map(A => \counter1_1/tb_q[12]\, B => 
        \counter1_1/tb_q[13]\, C => \counter1_1/tb_q[14]\, Y => 
        \counter1_1/NU_12_13_14\);
    
    \counter1_1/DFN1E1C0_NU_12/U0\ : MX2
      port map(A => \counter1_1/tb_q[12]\, B => 
        \counter1_1/XOR2_13_Y\, S => \counter1_1/NU_0_to_8\, Y
         => \counter1_1/DFN1E1C0_NU_12/Y\);
    
    \INBUF_FF_1/U0/U0\ : IOPAD_IN
      port map(PAD => ff, Y => \INBUF_FF_1/U0/NET1\);
    
    \counter1_1/DFN1E1C0_NU_4/U0\ : MX2
      port map(A => \counter1_1/tb_q[4]\, B => 
        \counter1_1/XOR2_7_Y\, S => \counter1_1/NU_0_1_2\, Y => 
        \counter1_1/DFN1E1C0_NU_4/Y\);
    
    \counter1_1/DFN1E1C0_NU_13/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_13/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[13]\);
    
    nRESET_pad_RNI1HG1 : NOR2B
      port map(A => tb_lock, B => nRESET_c, Y => tb_aclr);
    
    \counter1_1/DFN1E1C0_NU_3/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_3/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[3]\);
    
    \counter2_1/DFN1E1C0_NU_1/U1\ : DFN1C0
      port map(D => \counter2_1/DFN1E1C0_NU_1/Y\, CLK => 
        \tb_q[17]\, CLR => tb_aclr, Q => \q_c[1]\);
    
    \counter1_1/DFN1E1C0_NU_7/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_7/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[7]\);
    
    \counter1_1/DFN1E1C0_NU_8/U0\ : MX2
      port map(A => \counter1_1/tb_q[8]\, B => 
        \counter1_1/XOR2_3_Y\, S => \counter1_1/NU_6_7\, Y => 
        \counter1_1/DFN1E1C0_NU_8/Y\);
    
    \counter1_1/DFN1C0_NU_0\ : DFN1C0
      port map(D => \counter1_1/INV_3_Y\, CLK => tb_gla, CLR => 
        tb_aclr, Q => \counter1_1/tb_q[0]\);
    
    \counter1_1/INV_3\ : INV
      port map(A => \counter1_1/tb_q[0]\, Y => 
        \counter1_1/INV_3_Y\);
    
    \INBUF_FF_1/U0/U1\ : IOIN_IB
      port map(YIN => \INBUF_FF_1/U0/NET1\, Y => OPEN);
    
    \counter2_1/INV_1\ : INV
      port map(A => \q_c[0]\, Y => \counter2_1/INV_1_Y\);
    
    \counter1_1/DFN1E1C0_NU_5/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_5/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[5]\);
    
    \counter2_1/INV_0\ : INV
      port map(A => \q_c[1]\, Y => \counter2_1/INV_0_Y\);
    
    \counter1_1/DFN1C0_NU_6\ : DFN1C0
      port map(D => \counter1_1/XOR2_10_Y\, CLK => tb_gla, CLR
         => tb_aclr, Q => \counter1_1/tb_q[6]\);
    
    \counter1_1/XOR2_10\ : AX1C
      port map(A => \counter1_1/NU_0_1_2\, B => 
        \counter1_1/NU_3_4_5\, C => \counter1_1/tb_q[6]\, Y => 
        \counter1_1/XOR2_10_Y\);
    
    \q_pad[0]/U0/U0\ : IOPAD_TRI
      port map(D => \q_pad[0]/U0/NET1\, E => \q_pad[0]/U0/NET2\, 
        PAD => q(0));
    
    \counter1_1/DFN1E1C0_NU_13/U0\ : MX2
      port map(A => \counter1_1/tb_q[13]\, B => 
        \counter1_1/XOR2_6_Y\, S => \counter1_1/NU_0_to_8\, Y => 
        \counter1_1/DFN1E1C0_NU_13/Y\);
    
    \counter1_1/XOR2_4\ : AX1C
      port map(A => \counter1_1/tb_q[3]\, B => 
        \counter1_1/tb_q[4]\, C => \counter1_1/tb_q[5]\, Y => 
        \counter1_1/XOR2_4_Y\);
    
    \counter1_1/XOR2_13\ : XOR2
      port map(A => \counter1_1/tb_q[12]\, B => 
        \counter1_1/NU_9_10_11\, Y => \counter1_1/XOR2_13_Y\);
    
    \counter1_1/U_U_AND2_9_to_14\ : AND2
      port map(A => \counter1_1/NU_9_10_11\, B => 
        \counter1_1/NU_12_13_14\, Y => \counter1_1/NU_9_to_14\);
    
    \counter1_1/DFN1E1C0_NU_3/U0\ : MX2
      port map(A => \counter1_1/tb_q[3]\, B => 
        \counter1_1/INV_2_Y\, S => \counter1_1/NU_0_1_2\, Y => 
        \counter1_1/DFN1E1C0_NU_3/Y\);
    
    \counter1_1/DFN1E1C0_NU_15/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_15/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[15]\);
    
    \counter2_1/DFN1E1C0_NU_1/U0\ : MX2
      port map(A => \q_c[1]\, B => \counter2_1/INV_0_Y\, S => 
        \q_c[0]\, Y => \counter2_1/DFN1E1C0_NU_1/Y\);
    
    \counter1_1/DFN1E1C0_NU_7/U0\ : MX2
      port map(A => \counter1_1/tb_q[7]\, B => 
        \counter1_1/XOR2_2_Y\, S => \counter1_1/tb_q[6]\, Y => 
        \counter1_1/DFN1E1C0_NU_7/Y\);
    
    \counter1_1/XOR2_5\ : AX1C
      port map(A => \counter1_1/NU_9_10_11\, B => 
        \counter1_1/NU_12_13_14\, C => \counter1_1/tb_q[15]\, Y
         => \counter1_1/XOR2_5_Y\);
    
    \counter1_1/XOR2_1\ : XOR2
      port map(A => \counter1_1/tb_q[14]\, B => 
        \counter1_1/AND2_3_Y\, Y => \counter1_1/XOR2_1_Y\);
    
    \counter1_1/DFN1E1C0_NU_16/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_16/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[16]\);
    
    \counter1_1/DFN1E1C0_NU_5/U0\ : MX2
      port map(A => \counter1_1/tb_q[5]\, B => 
        \counter1_1/XOR2_4_Y\, S => \counter1_1/NU_0_1_2\, Y => 
        \counter1_1/DFN1E1C0_NU_5/Y\);
    
    \CLOCK_pad/U0/U1\ : IOIN_IB
      port map(YIN => \CLOCK_pad/U0/NET1\, Y => CLOCK_c);
    
    \q_pad[1]/U0/U0\ : IOPAD_TRI
      port map(D => \q_pad[1]/U0/NET1\, E => \q_pad[1]/U0/NET2\, 
        PAD => q(1));
    
    \CLOCK_pad/U0/U0\ : IOPAD_IN
      port map(PAD => CLOCK, Y => \CLOCK_pad/U0/NET1\);
    
    \counter1_1/XOR2_12\ : AX1C
      port map(A => \counter1_1/NU_0_to_8\, B => 
        \counter1_1/NU_9_to_14\, C => \counter1_1/tb_q[16]\, Y
         => \counter1_1/XOR2_12_Y\);
    
    \q_pad[2]/U0/U0\ : IOPAD_TRI
      port map(D => \q_pad[2]/U0/NET1\, E => \q_pad[2]/U0/NET2\, 
        PAD => q(2));
    
    \counter1_1/U_AND3_9_10_11\ : AND3
      port map(A => \counter1_1/tb_q[9]\, B => 
        \counter1_1/tb_q[10]\, C => \counter1_1/tb_q[11]\, Y => 
        \counter1_1/NU_9_10_11\);
    
    \counter1_1/DFN1E1C0_NU_15/U0\ : MX2
      port map(A => \counter1_1/tb_q[15]\, B => 
        \counter1_1/XOR2_5_Y\, S => \counter1_1/NU_0_to_8\, Y => 
        \counter1_1/DFN1E1C0_NU_15/Y\);
    
    INT_ULSICC_INSTANCE_0 : ULSICC_INT
      port map(USTDBY => \GND\, LPENA => \VCC\);
    
    \counter1_1/U_AND2_15_16\ : AND2
      port map(A => \counter1_1/tb_q[15]\, B => 
        \counter1_1/tb_q[16]\, Y => \counter1_1/NU_15_16\);
    
    \counter1_1/DFN1E1C0_NU_16/U0\ : MX2
      port map(A => \counter1_1/tb_q[16]\, B => 
        \counter1_1/XOR2_12_Y\, S => \counter1_1/tb_q[15]\, Y => 
        \counter1_1/DFN1E1C0_NU_16/Y\);
    
    \counter1_1/DFN1E1C0_NU_11/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_11/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[11]\);
    
    \counter1_1/DFN1E1C0_NU_10/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_10/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[10]\);
    
    \counter1_1/XOR2_6\ : AX1C
      port map(A => \counter1_1/NU_9_10_11\, B => 
        \counter1_1/tb_q[12]\, C => \counter1_1/tb_q[13]\, Y => 
        \counter1_1/XOR2_6_Y\);
    
    \counter1_1/DFN1E1C0_NU_9/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_9/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[9]\);
    
    \counter1_1/INV_1\ : INV
      port map(A => \counter1_1/tb_q[1]\, Y => 
        \counter1_1/INV_1_Y\);
    
    \pll1_1/Core\ : PLL_V2
      generic map(VCOFREQUENCY => 24.0)

      port map(CLKA => CLOCK_c, EXTFB => \GND\, POWERDOWN => 
        \VCC\, GLA => tb_gla, LOCK => tb_lock, GLB => OPEN, YB
         => OPEN, GLC => OPEN, YC => OPEN, OADIV0 => \VCC\, 
        OADIV1 => \VCC\, OADIV2 => \VCC\, OADIV3 => \VCC\, OADIV4
         => \VCC\, OAMUX0 => \GND\, OAMUX1 => \GND\, OAMUX2 => 
        \VCC\, DLYGLA0 => \GND\, DLYGLA1 => \GND\, DLYGLA2 => 
        \GND\, DLYGLA3 => \GND\, DLYGLA4 => \GND\, OBDIV0 => 
        AFLSDF_GND, OBDIV1 => AFLSDF_GND, OBDIV2 => AFLSDF_GND, 
        OBDIV3 => AFLSDF_GND, OBDIV4 => AFLSDF_GND, OBMUX0 => 
        AFLSDF_GND, OBMUX1 => AFLSDF_GND, OBMUX2 => AFLSDF_GND, 
        DLYYB0 => AFLSDF_GND, DLYYB1 => AFLSDF_GND, DLYYB2 => 
        AFLSDF_GND, DLYYB3 => AFLSDF_GND, DLYYB4 => AFLSDF_GND, 
        DLYGLB0 => AFLSDF_GND, DLYGLB1 => AFLSDF_GND, DLYGLB2 => 
        AFLSDF_GND, DLYGLB3 => AFLSDF_GND, DLYGLB4 => AFLSDF_GND, 
        OCDIV0 => AFLSDF_GND, OCDIV1 => AFLSDF_GND, OCDIV2 => 
        AFLSDF_GND, OCDIV3 => AFLSDF_GND, OCDIV4 => AFLSDF_GND, 
        OCMUX0 => AFLSDF_GND, OCMUX1 => AFLSDF_GND, OCMUX2 => 
        AFLSDF_GND, DLYYC0 => AFLSDF_GND, DLYYC1 => AFLSDF_GND, 
        DLYYC2 => AFLSDF_GND, DLYYC3 => AFLSDF_GND, DLYYC4 => 
        AFLSDF_GND, DLYGLC0 => AFLSDF_GND, DLYGLC1 => AFLSDF_GND, 
        DLYGLC2 => AFLSDF_GND, DLYGLC3 => AFLSDF_GND, DLYGLC4 => 
        AFLSDF_GND, FINDIV0 => \GND\, FINDIV1 => \GND\, FINDIV2
         => \VCC\, FINDIV3 => \GND\, FINDIV4 => \GND\, FINDIV5
         => \GND\, FINDIV6 => \GND\, FBDIV0 => \VCC\, FBDIV1 => 
        \GND\, FBDIV2 => \VCC\, FBDIV3 => \GND\, FBDIV4 => \GND\, 
        FBDIV5 => \GND\, FBDIV6 => \GND\, FBDLY0 => \GND\, FBDLY1
         => \GND\, FBDLY2 => \GND\, FBDLY3 => \GND\, FBDLY4 => 
        \GND\, FBSEL0 => \VCC\, FBSEL1 => \GND\, XDLYSEL => \GND\, 
        VCOSEL0 => \VCC\, VCOSEL1 => \GND\, VCOSEL2 => \GND\);
    
    \counter2_1/XOR2_0\ : AX1C
      port map(A => \q_c[0]\, B => \q_c[1]\, C => \q_c[2]\, Y => 
        \counter2_1/XOR2_0_Y\);
    
    \counter1_1/U_AND3_0_1_2\ : AND3
      port map(A => \counter1_1/tb_q[0]\, B => 
        \counter1_1/tb_q[1]\, C => \counter1_1/tb_q[2]\, Y => 
        \counter1_1/NU_0_1_2\);
    
    \nRESET_pad/U0/U1\ : IOIN_IB
      port map(YIN => \nRESET_pad/U0/NET1\, Y => nRESET_c);
    
    \counter1_1/DFN1E1C0_NU_9/U0\ : MX2
      port map(A => \counter1_1/tb_q[9]\, B => 
        \counter1_1/INV_0_Y\, S => \counter1_1/NU_0_to_8\, Y => 
        \counter1_1/DFN1E1C0_NU_9/Y\);
    
    \counter1_1/DFN1E1C0_NU_14/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_14/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[14]\);
    
    \counter1_1/DFN1E1C0_NU_11/U0\ : MX2
      port map(A => \counter1_1/tb_q[11]\, B => 
        \counter1_1/XOR2_0_Y\, S => \counter1_1/NU_0_to_8\, Y => 
        \counter1_1/DFN1E1C0_NU_11/Y\);
    
    \counter1_1/DFN1E1C0_NU_10/U0\ : MX2
      port map(A => \counter1_1/tb_q[10]\, B => 
        \counter1_1/XOR2_11_Y\, S => \counter1_1/NU_0_to_8\, Y
         => \counter1_1/DFN1E1C0_NU_10/Y\);
    
    \counter1_1/DFN1E1C0_NU_1/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_1/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \counter1_1/tb_q[1]\);
    
    \counter1_1/XOR2_9\ : AX1C
      port map(A => \counter1_1/tb_q[0]\, B => 
        \counter1_1/tb_q[1]\, C => \counter1_1/tb_q[2]\, Y => 
        \counter1_1/XOR2_9_Y\);
    
    \counter1_1/DFN1E1C0_NU_17/U1\ : DFN1C0
      port map(D => \counter1_1/DFN1E1C0_NU_17/Y\, CLK => tb_gla, 
        CLR => tb_aclr, Q => \tb_q[17]\);
    
    \counter1_1/INV_2\ : INV
      port map(A => \counter1_1/tb_q[3]\, Y => 
        \counter1_1/INV_2_Y\);
    
    \counter1_1/XOR2_2\ : AX1C
      port map(A => \counter1_1/NU_0_1_2\, B => 
        \counter1_1/NU_3_4_5\, C => \counter1_1/tb_q[7]\, Y => 
        \counter1_1/XOR2_2_Y\);
    
    \counter1_1/INV_0\ : INV
      port map(A => \counter1_1/tb_q[9]\, Y => 
        \counter1_1/INV_0_Y\);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);

    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 
