-- top.vhd
--------------------------------------------------------------
-------------------- top.vhd code ----------------------------
--------------------------------------------------------------
library IEEE;
use ieee.std_logic_1164.all;
----------- Define top level input and output ports ---------
entity top is
port(CLOCK : in std_logic;
nRESET, ff: in std_logic;
q : out std_logic_vector(2 downto 0));
end top;
architecture DEF_ARCH of top is

component INBUF_FF
 port(  PAD		: in    STD_ULOGIC;
		Y		: out    STD_ULOGIC);
end component;
attribute syn_noprune : boolean;
attribute syn_noprune of INBUF_FF: component is true;
------------------- pll1 instantiation -----------------------
component pll1
port(POWERDOWN : in std_logic;
CLKA : in std_logic;
LOCK, GLA : out std_logic);
end component;
----------------- counter1 instantiation ---------------------
component counter1
port( Aclr : in std_logic;
Clock : in std_logic;
Q : out std_logic_vector(17 downto 0));
end component;
--------------------- counter2 instantiation -----------------
component counter2
port( Aclr : in std_logic;
Clock : in std_logic;
Q : out std_logic_vector(2 downto 0));
end component;
----------------------Variable declarations ------------------
signal tb_lock,tb_gla,tb_aclr: std_logic;
signal tb_q : std_logic_vector(17 downto 0);
begin
process (tb_lock,nRESET)
begin
tb_aclr <= tb_lock and nRESET;
end process;
------------Port mapping of variables to I/O -----------------
pll1_1 : pll1 port map(POWERDOWN => '1',CLKA => CLOCK, LOCK =>tb_lock, GLA =>tb_gla);
counter1_1 : counter1 port map(Aclr => tb_aclr, Clock => tb_gla, Q => tb_q);
counter2_1 : counter2 port map(Aclr => tb_aclr, Clock => tb_q(17), Q =>q);
INBUF_FF_1 : INBUF_FF port map(PAD =>ff); 

end DEF_ARCH;
---------------------------------------------------------------