-- Version: 8.4 SP2 8.4.2.6

library ieee;
use ieee.std_logic_1164.all;
library igloo;
use igloo.all;

entity counter1 is

    port( Aclr  : in    std_logic;
          Clock : in    std_logic;
          Q     : out   std_logic_vector(17 downto 0)
        );

end counter1;

architecture DEF_ARCH of counter1 is 

  component AND2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1E1C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component INV
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component AND3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

    signal NU_0, NU_1, NU_2, NU_3, NU_4, NU_5, NU_6, NU_7, NU_8, 
        NU_9, NU_10, NU_11, NU_12, NU_13, NU_14, NU_15, NU_16, 
        NU_17, NU_0_1, NU_0_1_2, NU_3_4, NU_3_4_5, NU_6_7, 
        NU_6_7_8, NU_9_10, NU_9_10_11, NU_12_13, NU_12_13_14, 
        NU_15_16, NU_15_16_17, NU_0_to_8, NU_9_to_17, NU_9_to_14, 
        XOR2_4_Y, AND2_7_Y, XOR2_5_Y, AND2_2_Y, INV_0_Y, 
        XOR2_10_Y, AND2_4_Y, XOR2_12_Y, AND2_0_Y, XOR2_7_Y, 
        XOR2_0_Y, AND2_1_Y, XOR2_3_Y, AND2_6_Y, XOR2_11_Y, 
        INV_1_Y, XOR2_9_Y, AND2_9_Y, XOR2_6_Y, AND2_5_Y, INV_3_Y, 
        INV_2_Y, XOR2_1_Y, AND2_3_Y, XOR2_8_Y, AND2_10_Y, 
        XOR2_13_Y, XOR2_2_Y, AND2_8_Y : std_logic;

begin 

    Q(17) <= NU_17;
    Q(16) <= NU_16;
    Q(15) <= NU_15;
    Q(14) <= NU_14;
    Q(13) <= NU_13;
    Q(12) <= NU_12;
    Q(11) <= NU_11;
    Q(10) <= NU_10;
    Q(9) <= NU_9;
    Q(8) <= NU_8;
    Q(7) <= NU_7;
    Q(6) <= NU_6;
    Q(5) <= NU_5;
    Q(4) <= NU_4;
    Q(3) <= NU_3;
    Q(2) <= NU_2;
    Q(1) <= NU_1;
    Q(0) <= NU_0;

    AND2_9 : AND2
      port map(A => NU_0, B => NU_1, Y => AND2_9_Y);
    
    XOR2_9 : XOR2
      port map(A => NU_2, B => AND2_9_Y, Y => XOR2_9_Y);
    
    U_AND2_0_1 : AND2
      port map(A => NU_0, B => NU_1, Y => NU_0_1);
    
    DFN1E1C0_NU_16 : DFN1E1C0
      port map(D => XOR2_12_Y, CLK => Clock, CLR => Aclr, E => 
        NU_15, Q => NU_16);
    
    XOR2_1 : XOR2
      port map(A => NU_14, B => AND2_3_Y, Y => XOR2_1_Y);
    
    XOR2_10 : XOR2
      port map(A => NU_6, B => AND2_4_Y, Y => XOR2_10_Y);
    
    U_AND2_9_10 : AND2
      port map(A => NU_9, B => NU_10, Y => NU_9_10);
    
    AND2_0 : AND2
      port map(A => NU_0_to_8, B => NU_9_to_14, Y => AND2_0_Y);
    
    DFN1E1C0_NU_7 : DFN1E1C0
      port map(D => XOR2_2_Y, CLK => Clock, CLR => Aclr, E => 
        NU_6, Q => NU_7);
    
    XOR2_7 : XOR2
      port map(A => NU_4, B => NU_3, Y => XOR2_7_Y);
    
    DFN1E1C0_NU_15 : DFN1E1C0
      port map(D => XOR2_5_Y, CLK => Clock, CLR => Aclr, E => 
        NU_0_to_8, Q => NU_15);
    
    DFN1E1C0_NU_3 : DFN1E1C0
      port map(D => INV_2_Y, CLK => Clock, CLR => Aclr, E => 
        NU_0_1_2, Q => NU_3);
    
    INV_3 : INV
      port map(A => NU_0, Y => INV_3_Y);
    
    DFN1C0_NU_2 : DFN1C0
      port map(D => XOR2_9_Y, CLK => Clock, CLR => Aclr, Q => 
        NU_2);
    
    U_AND2_12_13 : AND2
      port map(A => NU_12, B => NU_13, Y => NU_12_13);
    
    INV_1 : INV
      port map(A => NU_1, Y => INV_1_Y);
    
    DFN1E1C0_NU_13 : DFN1E1C0
      port map(D => XOR2_6_Y, CLK => Clock, CLR => Aclr, E => 
        NU_0_to_8, Q => NU_13);
    
    AND2_2 : AND2
      port map(A => NU_9_10_11, B => NU_12_13_14, Y => AND2_2_Y);
    
    U_AND3_12_13_14 : AND3
      port map(A => NU_12, B => NU_13, C => NU_14, Y => 
        NU_12_13_14);
    
    AND2_8 : AND2
      port map(A => NU_0_1_2, B => NU_3_4_5, Y => AND2_8_Y);
    
    AND2_5 : AND2
      port map(A => NU_9_10_11, B => NU_12, Y => AND2_5_Y);
    
    AND2_4 : AND2
      port map(A => NU_0_1_2, B => NU_3_4_5, Y => AND2_4_Y);
    
    AND2_1 : AND2
      port map(A => NU_9, B => NU_10, Y => AND2_1_Y);
    
    AND2_3 : AND2
      port map(A => NU_9_10_11, B => NU_12_13, Y => AND2_3_Y);
    
    AND2_7 : AND2
      port map(A => NU_3, B => NU_4, Y => AND2_7_Y);
    
    DFN1E1C0_NU_10 : DFN1E1C0
      port map(D => XOR2_11_Y, CLK => Clock, CLR => Aclr, E => 
        NU_0_to_8, Q => NU_10);
    
    DFN1E1C0_NU_17 : DFN1E1C0
      port map(D => XOR2_8_Y, CLK => Clock, CLR => Aclr, E => 
        NU_15_16, Q => NU_17);
    
    U_AND3_6_7_8 : AND3
      port map(A => NU_6, B => NU_7, C => NU_8, Y => NU_6_7_8);
    
    XOR2_12 : XOR2
      port map(A => NU_16, B => AND2_0_Y, Y => XOR2_12_Y);
    
    DFN1E1C0_NU_1 : DFN1E1C0
      port map(D => INV_1_Y, CLK => Clock, CLR => Aclr, E => NU_0, 
        Q => NU_1);
    
    XOR2_3 : XOR2
      port map(A => NU_8, B => AND2_6_Y, Y => XOR2_3_Y);
    
    DFN1E1C0_NU_12 : DFN1E1C0
      port map(D => XOR2_13_Y, CLK => Clock, CLR => Aclr, E => 
        NU_0_to_8, Q => NU_12);
    
    AND2_6 : AND2
      port map(A => NU_0_1_2, B => NU_3_4_5, Y => AND2_6_Y);
    
    U_AND2_6_7 : AND2
      port map(A => NU_6, B => NU_7, Y => NU_6_7);
    
    U_AND3_9_10_11 : AND3
      port map(A => NU_9, B => NU_10, C => NU_11, Y => NU_9_10_11);
    
    U_AND3_3_4_5 : AND3
      port map(A => NU_3, B => NU_4, C => NU_5, Y => NU_3_4_5);
    
    DFN1C0_NU_0 : DFN1C0
      port map(D => INV_3_Y, CLK => Clock, CLR => Aclr, Q => NU_0);
    
    INV_2 : INV
      port map(A => NU_3, Y => INV_2_Y);
    
    DFN1E1C0_NU_9 : DFN1E1C0
      port map(D => INV_0_Y, CLK => Clock, CLR => Aclr, E => 
        NU_0_to_8, Q => NU_9);
    
    DFN1E1C0_NU_4 : DFN1E1C0
      port map(D => XOR2_7_Y, CLK => Clock, CLR => Aclr, E => 
        NU_0_1_2, Q => NU_4);
    
    U_AND3_0_1_2 : AND3
      port map(A => NU_0, B => NU_1, C => NU_2, Y => NU_0_1_2);
    
    XOR2_0 : XOR2
      port map(A => NU_11, B => AND2_1_Y, Y => XOR2_0_Y);
    
    AND2_10 : AND2
      port map(A => NU_0_to_8, B => NU_9_to_14, Y => AND2_10_Y);
    
    XOR2_13 : XOR2
      port map(A => NU_12, B => NU_9_10_11, Y => XOR2_13_Y);
    
    XOR2_5 : XOR2
      port map(A => NU_15, B => AND2_2_Y, Y => XOR2_5_Y);
    
    DFN1E1C0_NU_5 : DFN1E1C0
      port map(D => XOR2_4_Y, CLK => Clock, CLR => Aclr, E => 
        NU_0_1_2, Q => NU_5);
    
    DFN1E1C0_NU_11 : DFN1E1C0
      port map(D => XOR2_0_Y, CLK => Clock, CLR => Aclr, E => 
        NU_0_to_8, Q => NU_11);
    
    U_AND2_15_16 : AND2
      port map(A => NU_15, B => NU_16, Y => NU_15_16);
    
    XOR2_2 : XOR2
      port map(A => NU_7, B => AND2_8_Y, Y => XOR2_2_Y);
    
    XOR2_6 : XOR2
      port map(A => NU_13, B => AND2_5_Y, Y => XOR2_6_Y);
    
    DFN1E1C0_NU_14 : DFN1E1C0
      port map(D => XOR2_1_Y, CLK => Clock, CLR => Aclr, E => 
        NU_0_to_8, Q => NU_14);
    
    XOR2_4 : XOR2
      port map(A => NU_5, B => AND2_7_Y, Y => XOR2_4_Y);
    
    U_U_AND3_9_to_17 : AND3
      port map(A => NU_9_10_11, B => NU_12_13_14, C => 
        NU_15_16_17, Y => NU_9_to_17);
    
    XOR2_8 : XOR2
      port map(A => NU_17, B => AND2_10_Y, Y => XOR2_8_Y);
    
    DFN1C0_NU_6 : DFN1C0
      port map(D => XOR2_10_Y, CLK => Clock, CLR => Aclr, Q => 
        NU_6);
    
    U_AND2_3_4 : AND2
      port map(A => NU_3, B => NU_4, Y => NU_3_4);
    
    U_AND3_15_16_17 : AND3
      port map(A => NU_15, B => NU_16, C => NU_17, Y => 
        NU_15_16_17);
    
    DFN1E1C0_NU_8 : DFN1E1C0
      port map(D => XOR2_3_Y, CLK => Clock, CLR => Aclr, E => 
        NU_6_7, Q => NU_8);
    
    XOR2_11 : XOR2
      port map(A => NU_10, B => NU_9, Y => XOR2_11_Y);
    
    U_U_AND2_9_to_14 : AND2
      port map(A => NU_9_10_11, B => NU_12_13_14, Y => NU_9_to_14);
    
    INV_0 : INV
      port map(A => NU_9, Y => INV_0_Y);
    
    U_U_AND3_0_to_8 : AND3
      port map(A => NU_0_1_2, B => NU_3_4_5, C => NU_6_7_8, Y => 
        NU_0_to_8);
    

end DEF_ARCH; 
