-- Generated by WaveFormer Lite Version 12.30a at 23:15:26 on 11/23/2008
-- Stimulator for stimulus

-- Generation Settings:
--   Export type: Stimulus only (reactive export not enabled)
--                Delays, Samples, Markers, etc will not generate code.

-- Clock Domains:

--   Unclocked
--   ---------
--     Signals:
--       nRESET

library ieee, std;
use ieee.std_logic_1164.all;
library syncad_vhdl_lib;
use syncad_vhdl_lib.TBDefinitions.all;
-- Additional libraries used by Model Under Test.
library IEEE;
-- End Additional libraries used by Model Under Test.

entity stimulus is
  port (
    CLOCK : inout std_logic := '0';
    nRESET : inout std_logic := '0';
    ff : inout std_logic := 'Z');

end stimulus;

architecture STIMULATOR of stimulus is

  -- Control Signal Declarations
  signal tb_status : TStatus;
  signal tb_ParameterInitFlag : boolean := false;

  -- Parm Declarations
  signal CLOCK_MinHL : time := 0 ns;
  signal CLOCK_MaxHL : time := 0 ns;
  signal CLOCK_MinLH : time := 0 ns;
  signal CLOCK_MaxLH : time := 0 ns;
  signal CLOCK_JFall : time := 0 ns;
  signal CLOCK_JRise : time := 0 ns;
  signal CLOCK_Duty : real := 0.0;
  signal CLOCK_Period : time := 0 ns;
  signal CLOCK_Offset : time := 0 ns;

  -- Status Control block.

begin

  process
    variable good : boolean;
  begin
    wait until tb_ParameterInitFlag;
    tb_status <= TB_ONCE;
    wait for 2001454760 ns;
    tb_status <= TB_DONE;
    wait;
  end process;

  -- Parm Assignment Block
  AssignParms : process
    variable CLOCK_MinHL_real : real;
    variable CLOCK_MaxHL_real : real;
    variable CLOCK_MinLH_real : real;
    variable CLOCK_MaxLH_real : real;
    variable CLOCK_JFall_real : real;
    variable CLOCK_JRise_real : real;
    variable CLOCK_Duty_real : real;
    variable CLOCK_Period_real : real;
    variable CLOCK_Offset_real : real;
  begin
    CLOCK_MinHL_real := 0.0;
    CLOCK_MinHL <= CLOCK_MinHL_real * 1 ns;
    CLOCK_MaxHL_real := 0.0;
    CLOCK_MaxHL <= CLOCK_MaxHL_real * 1 ns;
    CLOCK_MinLH_real := 0.0;
    CLOCK_MinLH <= CLOCK_MinLH_real * 1 ns;
    CLOCK_MaxLH_real := 0.0;
    CLOCK_MaxLH <= CLOCK_MaxLH_real * 1 ns;
    CLOCK_JFall_real := 0.0;
    CLOCK_JFall <= CLOCK_JFall_real * 1 ns;
    CLOCK_JRise_real := 0.0;
    CLOCK_JRise <= CLOCK_JRise_real * 1 ns;
    CLOCK_Duty_real := 50.0;
    CLOCK_Duty <= CLOCK_Duty_real;
    CLOCK_Period_real := 50.0;
    CLOCK_Period <= CLOCK_Period_real * 1 ns;
    CLOCK_Offset_real := 0.0;
    CLOCK_Offset <= CLOCK_Offset_real * 1 ns;
    tb_ParameterInitFlag <= true;
    wait;
  end process;

  -- Clocks

  -- Clock Instantiation
  tb_CLOCK : entity syncad_vhdl_lib.tb_clock_minmax
    generic map (name => "tb_CLOCK",
                initialize => true,
                state1 => '1',
                state2 => '0')
    port map (tb_status,
              CLOCK,
              CLOCK_MinLH,
              CLOCK_MaxLH,
              CLOCK_MinHL,
              CLOCK_MaxHL,
              CLOCK_Offset,
              CLOCK_Period,
              CLOCK_Duty,
              CLOCK_JRise,
              CLOCK_JFall);

  -- Clocked Sequences

  -- Sequence: Unclocked
  Unclocked : process
  begin
    wait for 2 ns;
    nRESET <= '1';
    wait for 2001454758 ns;
    wait;
  end process;
end STIMULATOR;

-- Test Bench wrapper for stimulus and Model Under Test
library ieee, std;
use ieee.std_logic_1164.all;
library syncad_vhdl_lib;
use syncad_vhdl_lib.TBDefinitions.all;
-- Additional libraries used by Model Under Test.
library IEEE;
-- End Additional libraries used by Model Under Test.

entity testbench is
end testbench;
architecture tbGeneratedCode of testbench is
  signal CLOCK : std_logic;
  signal nRESET : std_logic;
  signal ff : std_logic;
  signal q : STD_LOGIC_VECTOR(2 downto 0);

  -- Stimulator instance

begin

  stimulus_0 : entity work.stimulus
    port map (CLOCK => CLOCK,
              nRESET => nRESET,
              ff => ff);

  -- Instantiation of Model Under Test.
  top_0 : entity work.top
    port map (CLOCK => CLOCK,
              nRESET => nRESET,
              ff => ff,
              q => q);
end tbGeneratedCode;
