-- Version: 8.4 SP2 8.4.2.6

library ieee;
use ieee.std_logic_1164.all;
library igloo;
use igloo.all;

entity pll1 is

    port( pll1_VCC : in    std_logic;
          pll1_GND : in    std_logic;
          tb_lock  : out   std_logic;
          CLOCK_c  : in    std_logic;
          tb_gla   : out   std_logic
        );

end pll1;

architecture DEF_ARCH of pll1 is 

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component PLL
    generic (VCOFREQUENCY:real := 0.0);

    port( CLKA      : in    std_logic := 'U';
          EXTFB     : in    std_logic := 'U';
          POWERDOWN : in    std_logic := 'U';
          GLA       : out   std_logic;
          LOCK      : out   std_logic;
          GLB       : out   std_logic;
          YB        : out   std_logic;
          GLC       : out   std_logic;
          YC        : out   std_logic;
          OADIV0    : in    std_logic := 'U';
          OADIV1    : in    std_logic := 'U';
          OADIV2    : in    std_logic := 'U';
          OADIV3    : in    std_logic := 'U';
          OADIV4    : in    std_logic := 'U';
          OAMUX0    : in    std_logic := 'U';
          OAMUX1    : in    std_logic := 'U';
          OAMUX2    : in    std_logic := 'U';
          DLYGLA0   : in    std_logic := 'U';
          DLYGLA1   : in    std_logic := 'U';
          DLYGLA2   : in    std_logic := 'U';
          DLYGLA3   : in    std_logic := 'U';
          DLYGLA4   : in    std_logic := 'U';
          OBDIV0    : in    std_logic := 'U';
          OBDIV1    : in    std_logic := 'U';
          OBDIV2    : in    std_logic := 'U';
          OBDIV3    : in    std_logic := 'U';
          OBDIV4    : in    std_logic := 'U';
          OBMUX0    : in    std_logic := 'U';
          OBMUX1    : in    std_logic := 'U';
          OBMUX2    : in    std_logic := 'U';
          DLYYB0    : in    std_logic := 'U';
          DLYYB1    : in    std_logic := 'U';
          DLYYB2    : in    std_logic := 'U';
          DLYYB3    : in    std_logic := 'U';
          DLYYB4    : in    std_logic := 'U';
          DLYGLB0   : in    std_logic := 'U';
          DLYGLB1   : in    std_logic := 'U';
          DLYGLB2   : in    std_logic := 'U';
          DLYGLB3   : in    std_logic := 'U';
          DLYGLB4   : in    std_logic := 'U';
          OCDIV0    : in    std_logic := 'U';
          OCDIV1    : in    std_logic := 'U';
          OCDIV2    : in    std_logic := 'U';
          OCDIV3    : in    std_logic := 'U';
          OCDIV4    : in    std_logic := 'U';
          OCMUX0    : in    std_logic := 'U';
          OCMUX1    : in    std_logic := 'U';
          OCMUX2    : in    std_logic := 'U';
          DLYYC0    : in    std_logic := 'U';
          DLYYC1    : in    std_logic := 'U';
          DLYYC2    : in    std_logic := 'U';
          DLYYC3    : in    std_logic := 'U';
          DLYYC4    : in    std_logic := 'U';
          DLYGLC0   : in    std_logic := 'U';
          DLYGLC1   : in    std_logic := 'U';
          DLYGLC2   : in    std_logic := 'U';
          DLYGLC3   : in    std_logic := 'U';
          DLYGLC4   : in    std_logic := 'U';
          FINDIV0   : in    std_logic := 'U';
          FINDIV1   : in    std_logic := 'U';
          FINDIV2   : in    std_logic := 'U';
          FINDIV3   : in    std_logic := 'U';
          FINDIV4   : in    std_logic := 'U';
          FINDIV5   : in    std_logic := 'U';
          FINDIV6   : in    std_logic := 'U';
          FBDIV0    : in    std_logic := 'U';
          FBDIV1    : in    std_logic := 'U';
          FBDIV2    : in    std_logic := 'U';
          FBDIV3    : in    std_logic := 'U';
          FBDIV4    : in    std_logic := 'U';
          FBDIV5    : in    std_logic := 'U';
          FBDIV6    : in    std_logic := 'U';
          FBDLY0    : in    std_logic := 'U';
          FBDLY1    : in    std_logic := 'U';
          FBDLY2    : in    std_logic := 'U';
          FBDLY3    : in    std_logic := 'U';
          FBDLY4    : in    std_logic := 'U';
          FBSEL0    : in    std_logic := 'U';
          FBSEL1    : in    std_logic := 'U';
          XDLYSEL   : in    std_logic := 'U';
          VCOSEL0   : in    std_logic := 'U';
          VCOSEL1   : in    std_logic := 'U';
          VCOSEL2   : in    std_logic := 'U'
        );
  end component;

  component PLLINT
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

    signal CLKAP, Core_GLB, Core_GLC, Core_YB, Core_YC, \GND\, 
        \VCC\, GND_net_1, VCC_net_1 : std_logic;

begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    Core : PLL
      generic map(VCOFREQUENCY => 24.0)

      port map(CLKA => CLKAP, EXTFB => pll1_GND, POWERDOWN => 
        pll1_VCC, GLA => tb_gla, LOCK => tb_lock, GLB => Core_GLB, 
        YB => Core_YB, GLC => Core_GLC, YC => Core_YC, OADIV0 => 
        pll1_VCC, OADIV1 => pll1_VCC, OADIV2 => pll1_VCC, OADIV3
         => pll1_VCC, OADIV4 => pll1_VCC, OAMUX0 => pll1_GND, 
        OAMUX1 => pll1_GND, OAMUX2 => pll1_VCC, DLYGLA0 => 
        pll1_GND, DLYGLA1 => pll1_GND, DLYGLA2 => pll1_GND, 
        DLYGLA3 => pll1_GND, DLYGLA4 => pll1_GND, OBDIV0 => 
        pll1_GND, OBDIV1 => pll1_GND, OBDIV2 => pll1_GND, OBDIV3
         => pll1_GND, OBDIV4 => pll1_GND, OBMUX0 => pll1_GND, 
        OBMUX1 => pll1_GND, OBMUX2 => pll1_GND, DLYYB0 => 
        pll1_GND, DLYYB1 => pll1_GND, DLYYB2 => pll1_GND, DLYYB3
         => pll1_GND, DLYYB4 => pll1_GND, DLYGLB0 => pll1_GND, 
        DLYGLB1 => pll1_GND, DLYGLB2 => pll1_GND, DLYGLB3 => 
        pll1_GND, DLYGLB4 => pll1_GND, OCDIV0 => pll1_GND, OCDIV1
         => pll1_GND, OCDIV2 => pll1_GND, OCDIV3 => pll1_GND, 
        OCDIV4 => pll1_GND, OCMUX0 => pll1_GND, OCMUX1 => 
        pll1_GND, OCMUX2 => pll1_GND, DLYYC0 => pll1_GND, DLYYC1
         => pll1_GND, DLYYC2 => pll1_GND, DLYYC3 => pll1_GND, 
        DLYYC4 => pll1_GND, DLYGLC0 => pll1_GND, DLYGLC1 => 
        pll1_GND, DLYGLC2 => pll1_GND, DLYGLC3 => pll1_GND, 
        DLYGLC4 => pll1_GND, FINDIV0 => pll1_GND, FINDIV1 => 
        pll1_GND, FINDIV2 => pll1_VCC, FINDIV3 => pll1_GND, 
        FINDIV4 => pll1_GND, FINDIV5 => pll1_GND, FINDIV6 => 
        pll1_GND, FBDIV0 => pll1_VCC, FBDIV1 => pll1_GND, FBDIV2
         => pll1_VCC, FBDIV3 => pll1_GND, FBDIV4 => pll1_GND, 
        FBDIV5 => pll1_GND, FBDIV6 => pll1_GND, FBDLY0 => 
        pll1_GND, FBDLY1 => pll1_GND, FBDLY2 => pll1_GND, FBDLY3
         => pll1_GND, FBDLY4 => pll1_GND, FBSEL0 => pll1_VCC, 
        FBSEL1 => pll1_GND, XDLYSEL => pll1_GND, VCOSEL0 => 
        pll1_VCC, VCOSEL1 => pll1_GND, VCOSEL2 => pll1_GND);
    
    pllint1 : PLLINT
      port map(A => CLOCK_c, Y => CLKAP);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library igloo;
use igloo.all;

entity counter1 is

    port( tb_q_17 : out   std_logic;
          tb_aclr : in    std_logic;
          tb_gla  : in    std_logic
        );

end counter1;

architecture DEF_ARCH of counter1 is 

  component AND2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1E1C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component INV
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component DFN1C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component AND3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

    signal NU_0_to_8, NU_0_1_2, NU_3_4_5, NU_6_7_8, INV_0_Y, 
        \tb_q[9]\, NU_9_to_14, NU_9_10_11, NU_12_13_14, XOR2_11_Y, 
        \tb_q[10]\, \tb_q[8]\, XOR2_3_Y, NU_6_7, \tb_q[6]\, 
        XOR2_10_Y, XOR2_8_Y, \tb_q[17]\, AND2_10_Y, XOR2_4_Y, 
        \tb_q[5]\, AND2_7_Y, \tb_q[14]\, XOR2_1_Y, XOR2_6_Y, 
        \tb_q[13]\, AND2_5_Y, XOR2_2_Y, \tb_q[7]\, AND2_8_Y, 
        NU_15_16, \tb_q[15]\, \tb_q[16]\, \tb_q[11]\, XOR2_0_Y, 
        XOR2_5_Y, AND2_2_Y, XOR2_13_Y, \tb_q[12]\, AND2_1_Y, 
        \tb_q[0]\, \tb_q[1]\, \tb_q[2]\, \tb_q[4]\, XOR2_7_Y, 
        INV_2_Y, \tb_q[3]\, INV_3_Y, AND2_6_Y, INV_1_Y, XOR2_12_Y, 
        AND2_0_Y, AND2_3_Y, NU_12_13, AND2_4_Y, XOR2_9_Y, 
        AND2_9_Y, \GND\, \VCC\, GND_net_1, VCC_net_1 : std_logic;

begin 

    tb_q_17 <= \tb_q[17]\;

    AND2_9 : AND2
      port map(A => \tb_q[0]\, B => \tb_q[1]\, Y => AND2_9_Y);
    
    XOR2_9 : XOR2
      port map(A => \tb_q[2]\, B => AND2_9_Y, Y => XOR2_9_Y);
    
    DFN1E1C0_NU_16 : DFN1E1C0
      port map(D => XOR2_12_Y, CLK => tb_gla, CLR => tb_aclr, E
         => \tb_q[15]\, Q => \tb_q[16]\);
    
    XOR2_1 : XOR2
      port map(A => \tb_q[14]\, B => AND2_3_Y, Y => XOR2_1_Y);
    
    XOR2_10 : XOR2
      port map(A => \tb_q[6]\, B => AND2_4_Y, Y => XOR2_10_Y);
    
    XOR2_7 : XOR2
      port map(A => \tb_q[4]\, B => \tb_q[3]\, Y => XOR2_7_Y);
    
    DFN1E1C0_NU_7 : DFN1E1C0
      port map(D => XOR2_2_Y, CLK => tb_gla, CLR => tb_aclr, E
         => \tb_q[6]\, Q => \tb_q[7]\);
    
    DFN1E1C0_NU_15 : DFN1E1C0
      port map(D => XOR2_5_Y, CLK => tb_gla, CLR => tb_aclr, E
         => NU_0_to_8, Q => \tb_q[15]\);
    
    AND2_0 : AND2
      port map(A => NU_0_to_8, B => NU_9_to_14, Y => AND2_0_Y);
    
    DFN1E1C0_NU_3 : DFN1E1C0
      port map(D => INV_2_Y, CLK => tb_gla, CLR => tb_aclr, E => 
        NU_0_1_2, Q => \tb_q[3]\);
    
    INV_3 : INV
      port map(A => \tb_q[0]\, Y => INV_3_Y);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    U_AND2_12_13 : AND2
      port map(A => \tb_q[12]\, B => \tb_q[13]\, Y => NU_12_13);
    
    DFN1C0_NU_2 : DFN1C0
      port map(D => XOR2_9_Y, CLK => tb_gla, CLR => tb_aclr, Q
         => \tb_q[2]\);
    
    INV_1 : INV
      port map(A => \tb_q[1]\, Y => INV_1_Y);
    
    DFN1E1C0_NU_13 : DFN1E1C0
      port map(D => XOR2_6_Y, CLK => tb_gla, CLR => tb_aclr, E
         => NU_0_to_8, Q => \tb_q[13]\);
    
    U_AND3_12_13_14 : AND3
      port map(A => \tb_q[12]\, B => \tb_q[13]\, C => \tb_q[14]\, 
        Y => NU_12_13_14);
    
    AND2_2 : AND2
      port map(A => NU_9_10_11, B => NU_12_13_14, Y => AND2_2_Y);
    
    AND2_8 : AND2
      port map(A => NU_0_1_2, B => NU_3_4_5, Y => AND2_8_Y);
    
    AND2_5 : AND2
      port map(A => NU_9_10_11, B => \tb_q[12]\, Y => AND2_5_Y);
    
    AND2_4 : AND2
      port map(A => NU_0_1_2, B => NU_3_4_5, Y => AND2_4_Y);
    
    AND2_1 : AND2
      port map(A => \tb_q[9]\, B => \tb_q[10]\, Y => AND2_1_Y);
    
    AND2_3 : AND2
      port map(A => NU_9_10_11, B => NU_12_13, Y => AND2_3_Y);
    
    AND2_7 : AND2
      port map(A => \tb_q[3]\, B => \tb_q[4]\, Y => AND2_7_Y);
    
    U_AND3_6_7_8 : AND3
      port map(A => \tb_q[6]\, B => \tb_q[7]\, C => \tb_q[8]\, Y
         => NU_6_7_8);
    
    DFN1E1C0_NU_17 : DFN1E1C0
      port map(D => XOR2_8_Y, CLK => tb_gla, CLR => tb_aclr, E
         => NU_15_16, Q => \tb_q[17]\);
    
    DFN1E1C0_NU_10 : DFN1E1C0
      port map(D => XOR2_11_Y, CLK => tb_gla, CLR => tb_aclr, E
         => NU_0_to_8, Q => \tb_q[10]\);
    
    XOR2_12 : XOR2
      port map(A => \tb_q[16]\, B => AND2_0_Y, Y => XOR2_12_Y);
    
    DFN1E1C0_NU_1 : DFN1E1C0
      port map(D => INV_1_Y, CLK => tb_gla, CLR => tb_aclr, E => 
        \tb_q[0]\, Q => \tb_q[1]\);
    
    XOR2_3 : XOR2
      port map(A => \tb_q[8]\, B => AND2_6_Y, Y => XOR2_3_Y);
    
    DFN1E1C0_NU_12 : DFN1E1C0
      port map(D => XOR2_13_Y, CLK => tb_gla, CLR => tb_aclr, E
         => NU_0_to_8, Q => \tb_q[12]\);
    
    AND2_6 : AND2
      port map(A => NU_0_1_2, B => NU_3_4_5, Y => AND2_6_Y);
    
    GND_i : GND
      port map(Y => \GND\);
    
    U_AND2_6_7 : AND2
      port map(A => \tb_q[6]\, B => \tb_q[7]\, Y => NU_6_7);
    
    U_AND3_9_10_11 : AND3
      port map(A => \tb_q[9]\, B => \tb_q[10]\, C => \tb_q[11]\, 
        Y => NU_9_10_11);
    
    U_AND3_3_4_5 : AND3
      port map(A => \tb_q[3]\, B => \tb_q[4]\, C => \tb_q[5]\, Y
         => NU_3_4_5);
    
    INV_2 : INV
      port map(A => \tb_q[3]\, Y => INV_2_Y);
    
    DFN1C0_NU_0 : DFN1C0
      port map(D => INV_3_Y, CLK => tb_gla, CLR => tb_aclr, Q => 
        \tb_q[0]\);
    
    DFN1E1C0_NU_9 : DFN1E1C0
      port map(D => INV_0_Y, CLK => tb_gla, CLR => tb_aclr, E => 
        NU_0_to_8, Q => \tb_q[9]\);
    
    DFN1E1C0_NU_4 : DFN1E1C0
      port map(D => XOR2_7_Y, CLK => tb_gla, CLR => tb_aclr, E
         => NU_0_1_2, Q => \tb_q[4]\);
    
    U_AND3_0_1_2 : AND3
      port map(A => \tb_q[0]\, B => \tb_q[1]\, C => \tb_q[2]\, Y
         => NU_0_1_2);
    
    XOR2_0 : XOR2
      port map(A => \tb_q[11]\, B => AND2_1_Y, Y => XOR2_0_Y);
    
    AND2_10 : AND2
      port map(A => NU_0_to_8, B => NU_9_to_14, Y => AND2_10_Y);
    
    XOR2_13 : XOR2
      port map(A => \tb_q[12]\, B => NU_9_10_11, Y => XOR2_13_Y);
    
    XOR2_5 : XOR2
      port map(A => \tb_q[15]\, B => AND2_2_Y, Y => XOR2_5_Y);
    
    DFN1E1C0_NU_5 : DFN1E1C0
      port map(D => XOR2_4_Y, CLK => tb_gla, CLR => tb_aclr, E
         => NU_0_1_2, Q => \tb_q[5]\);
    
    U_AND2_15_16 : AND2
      port map(A => \tb_q[15]\, B => \tb_q[16]\, Y => NU_15_16);
    
    DFN1E1C0_NU_11 : DFN1E1C0
      port map(D => XOR2_0_Y, CLK => tb_gla, CLR => tb_aclr, E
         => NU_0_to_8, Q => \tb_q[11]\);
    
    XOR2_2 : XOR2
      port map(A => \tb_q[7]\, B => AND2_8_Y, Y => XOR2_2_Y);
    
    XOR2_6 : XOR2
      port map(A => \tb_q[13]\, B => AND2_5_Y, Y => XOR2_6_Y);
    
    DFN1E1C0_NU_14 : DFN1E1C0
      port map(D => XOR2_1_Y, CLK => tb_gla, CLR => tb_aclr, E
         => NU_0_to_8, Q => \tb_q[14]\);
    
    XOR2_4 : XOR2
      port map(A => \tb_q[5]\, B => AND2_7_Y, Y => XOR2_4_Y);
    
    XOR2_8 : XOR2
      port map(A => \tb_q[17]\, B => AND2_10_Y, Y => XOR2_8_Y);
    
    DFN1C0_NU_6 : DFN1C0
      port map(D => XOR2_10_Y, CLK => tb_gla, CLR => tb_aclr, Q
         => \tb_q[6]\);
    
    DFN1E1C0_NU_8 : DFN1E1C0
      port map(D => XOR2_3_Y, CLK => tb_gla, CLR => tb_aclr, E
         => NU_6_7, Q => \tb_q[8]\);
    
    XOR2_11 : XOR2
      port map(A => \tb_q[10]\, B => \tb_q[9]\, Y => XOR2_11_Y);
    
    U_U_AND2_9_to_14 : AND2
      port map(A => NU_9_10_11, B => NU_12_13_14, Y => NU_9_to_14);
    
    INV_0 : INV
      port map(A => \tb_q[9]\, Y => INV_0_Y);
    
    U_U_AND3_0_to_8 : AND3
      port map(A => NU_0_1_2, B => NU_3_4_5, C => NU_6_7_8, Y => 
        NU_0_to_8);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library igloo;
use igloo.all;

entity counter2 is

    port( tb_q    : in    std_logic_vector(17 to 17);
          q_c     : out   std_logic_vector(2 downto 0);
          tb_aclr : in    std_logic
        );

end counter2;

architecture DEF_ARCH of counter2 is 

  component XOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component INV
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component DFN1E1C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component AND2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

    signal INV_1_Y, \q_c[0]\, XOR2_0_Y, AND2_0_Y, \q_c[2]\, 
        INV_0_Y, \q_c[1]\, \GND\, \VCC\, GND_net_1, VCC_net_1
         : std_logic;

begin 

    q_c(2) <= \q_c[2]\;
    q_c(1) <= \q_c[1]\;
    q_c(0) <= \q_c[0]\;

    XOR2_0 : XOR2
      port map(A => \q_c[2]\, B => AND2_0_Y, Y => XOR2_0_Y);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    INV_1 : INV
      port map(A => \q_c[0]\, Y => INV_1_Y);
    
    DFN1C0_NU_2 : DFN1C0
      port map(D => XOR2_0_Y, CLK => tb_q(17), CLR => tb_aclr, Q
         => \q_c[2]\);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    INV_0 : INV
      port map(A => \q_c[1]\, Y => INV_0_Y);
    
    DFN1E1C0_NU_1 : DFN1E1C0
      port map(D => INV_0_Y, CLK => tb_q(17), CLR => tb_aclr, E
         => \q_c[0]\, Q => \q_c[1]\);
    
    AND2_0 : AND2
      port map(A => \q_c[0]\, B => \q_c[1]\, Y => AND2_0_Y);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    GND_i : GND
      port map(Y => \GND\);
    
    DFN1C0_NU_0 : DFN1C0
      port map(D => INV_1_Y, CLK => tb_q(17), CLR => tb_aclr, Q
         => \q_c[0]\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library igloo;
use igloo.all;

entity top is

    port( CLOCK  : in    std_logic;
          nRESET : in    std_logic;
          ff     : in    std_logic;
          q      : out   std_logic_vector(2 downto 0)
        );

end top;

architecture DEF_ARCH of top is 

  component NOR2B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component pll1
    port( pll1_VCC : in    std_logic := 'U';
          pll1_GND : in    std_logic := 'U';
          tb_lock  : out   std_logic;
          CLOCK_c  : in    std_logic := 'U';
          tb_gla   : out   std_logic
        );
  end component;

  component INBUF
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component OUTBUF
    port( D   : in    std_logic := 'U';
          PAD : out   std_logic
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component INBUF_FF
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

  component counter1
    port( tb_q_17 : out   std_logic;
          tb_aclr : in    std_logic := 'U';
          tb_gla  : in    std_logic := 'U'
        );
  end component;

  component counter2
    port( tb_q    : in    std_logic_vector(17 to 17) := (others => 'U');
          q_c     : out   std_logic_vector(2 downto 0);
          tb_aclr : in    std_logic := 'U'
        );
  end component;

  attribute syn_noprune : boolean;
  attribute syn_noprune of INBUF_FF: component is true;

    signal \VCC\, tb_lock, tb_gla, \tb_q[17]\, \INBUF_FF_1\, 
        \GND\, tb_aclr, CLOCK_c, nRESET_c, \q_c[0]\, \q_c[1]\, 
        \q_c[2]\, GND_net_1, VCC_net_1 : std_logic;

    for all : pll1
	Use entity work.pll1(DEF_ARCH);
    for all : counter1
	Use entity work.counter1(DEF_ARCH);
    for all : counter2
	Use entity work.counter2(DEF_ARCH);
begin 


    nRESET_pad_RNI1HG1 : NOR2B
      port map(A => tb_lock, B => nRESET_c, Y => tb_aclr);
    
    pll1_1 : pll1
      port map(pll1_VCC => \VCC\, pll1_GND => \GND\, tb_lock => 
        tb_lock, CLOCK_c => CLOCK_c, tb_gla => tb_gla);
    
    nRESET_pad : INBUF
      port map(PAD => nRESET, Y => nRESET_c);
    
    CLOCK_pad : INBUF
      port map(PAD => CLOCK, Y => CLOCK_c);
    
    \q_pad[1]\ : OUTBUF
      port map(D => \q_c[1]\, PAD => q(1));
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    INBUF_FF_1 : INBUF_FF
      port map(PAD => ff, Y => \INBUF_FF_1\);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    GND_i : GND
      port map(Y => \GND\);
    
    counter1_1 : counter1
      port map(tb_q_17 => \tb_q[17]\, tb_aclr => tb_aclr, tb_gla
         => tb_gla);
    
    \q_pad[2]\ : OUTBUF
      port map(D => \q_c[2]\, PAD => q(2));
    
    \q_pad[0]\ : OUTBUF
      port map(D => \q_c[0]\, PAD => q(0));
    
    counter2_1 : counter2
      port map(tb_q(17) => \tb_q[17]\, q_c(2) => \q_c[2]\, q_c(1)
         => \q_c[1]\, q_c(0) => \q_c[0]\, tb_aclr => tb_aclr);
    

end DEF_ARCH; 
